import { Interaction } from './Interaction';
export declare class HandDraw extends Interaction {
    render(): void;
    set_lines_view(): Promise<void>;
    mousedown(): void;
    mouseup(): void;
    mousemove(): void;
    mouse_entry(memory: any): void;
    capnfloor(val: any): number;
    set_limits(): void;
    nns(x_data: any, x: any): any;
    update_line_index(): void;
    active: boolean;
    lines_view: any;
    line_index: any;
    min_x: any;
    max_x: any;
    valid_min: any;
    valid_max: any;
    previous_pos: any;
}
